Bug 728015

Summary: EFI Install fails with _non_linux_format_types error
Product: [Fedora] Fedora Reporter: Brian Lane <bcl>
Component: anacondaAssignee: Brian Lane <bcl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: anaconda-maint-list, awilliam, jonathan, mads, tflink, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: AcceptedNTH
Fixed In Version: anaconda-16.14.6-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-18 22:25:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 713563, 713564    

Description Brian Lane 2011-08-03 23:14:07 UTC
non_linux_format_types error isn't setup for EFI and there is no default.

Comment 1 Brian Lane 2011-08-03 23:26:31 UTC
patch is on master branch - 32149f77a4cf9f41633a15041e246c4e34071f5f

Comment 2 Adam Williamson 2011-08-04 00:37:46 UTC
EFI is in the Beta criteria, not Alpha; so re-proposing these bugs as Beta blockers and Alpha NTH (if you can get fixes in time I'd certainly be in favour of taking them into the anaconda rebuild for the next Alpha compose).

Comment 3 Chris Lumens 2011-08-04 14:11:15 UTC
Picked to f16-alpha-branch, and I'll do another build today.

Comment 4 Tim Flink 2011-08-04 21:17:42 UTC
Like Adam said, beta blocker material but would be nice to see in the alpha.

+1 beta blocker, +1 alpha nth

Comment 5 Tim Flink 2011-08-05 18:50:21 UTC
Discussed in the 2011-08-05 blocker review meeting. Accepted as NTH [1] for Fedora 16 alpha. Will include fixes in alpha if they are tested in time.

[1] http://fedoraproject.org/wiki/QA:SOP_nth_bug_process

Comment 6 Fedora Update System 2011-08-05 20:27:25 UTC
anaconda-16.14.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.2-1.fc16

Comment 7 Fedora Update System 2011-08-06 04:25:17 UTC
Package anaconda-16.14.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-16.14.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-16.14.2-1.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-08-09 04:26:13 UTC
anaconda-16.14.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.3-1.fc16

Comment 9 Fedora Update System 2011-08-11 15:50:17 UTC
anaconda-16.14.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.4-1.fc16

Comment 10 Fedora Update System 2011-08-15 16:56:03 UTC
anaconda-16.14.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.5-1.fc16

Comment 11 Fedora Update System 2011-08-16 20:15:14 UTC
anaconda-16.14.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/anaconda-16.14.6-1.fc16

Comment 12 Fedora Update System 2011-08-18 22:24:46 UTC
anaconda-16.14.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.